﻿using System;
using System.Collections.ObjectModel;
using System.Windows;

namespace WpfApp1_gridDuplicates
{
    internal partial class MainWindow : Window
    {
        internal ItemListViewModel Model { get; private set; }

        public MainWindow( )
        {
            Model = new ItemListViewModel
            {
                ItemList = new ObservableCollection<DataItem>(),
            };
            InitializeComponent();
            DataContext = Model;
        }

        private void createDataItem_Click( object sender, RoutedEventArgs e )
        {
            Model.ItemList.Add(new DataItem
            {
                Data1 = $"random data_{new Random().Next()}",
            });
        }
    }
}
